varying vec3 g_Normal;
varying vec3 g_Position; 


uniform int g_HasDiffuseTexture;

uniform int   g_LightType;



void main(void)
{
	g_Position = vec3( gl_ModelViewMatrix * gl_Vertex); 
	g_Normal   = normalize(gl_NormalMatrix * gl_Normal);

	gl_TexCoord[0] = gl_TextureMatrix[0] * gl_MultiTexCoord0; 
	gl_FrontColor  = gl_Color; 
	gl_Position    = gl_ModelViewProjectionMatrix * gl_Vertex;
}    
 
